brooklyn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrea Turli <andrea.tu...@cloudsoftcorp.com>
Subject Re: Errors trying to deploy Docker Cloud
Date Fri, 04 Jul 2014 16:44:48 GMT
Hi Bryan,

sorry about that. Re-reading the documentation to install Docker on Centos
I've found that kernel  2.6.32-431 or higher is required [1] so I've update
the `fix/centos` branch to update the kernel on centos hosts.
Please give it another try and let us know, if you like.

Thanks for your help,
Andrea

[1]: https://docs.docker.com/installation/centos/


On 3 July 2014 19:09, Tidd, Bryan (MAN-Corporate) <Bryan.Tidd@manheim.com>
wrote:

> More errors - Now on Post Start:
>
>  ssh: ( if test "$UID" -eq 0; then ( docker build --rm -t brooklyn/default
> - <
> /home/users/briantidd/brooklyn-managed-processes/apps/waXZlV3j/entities/Doc
> kerHost_b3a6Zk0R/default/Dockerfile ); else sudo -E -n -S -- docker build
> --rm -t brooklyn/default - <
> /home/users/briantidd/brooklyn-managed-processes/apps/waXZlV3j/entities/Doc
> kerHost_b3a6Zk0R/default/Dockerfile; fi )
>
> STDOUT:
>
> Step 0 : FROM ubuntu:12.04
> Pulling repository ubuntu
>  ---> ea7d6801c538
> Step 1 : MAINTAINER Cloudsoft "brooklyn@cloudsoftcorp.com"
>  ---> Running in 3ac662a3992e
>  ---> d327b7edc490
> Removing intermediate container 3ac662a3992e
> Step 2 : RUN ( echo "deb http://archive.ubuntu.com/ubuntu precise main
> universe" ; echo "deb http://archive.ubuntu.com/ubuntu precise-updates
> main universe" ) > /etc/apt/sources.list
>  ---> Running in 7e2aba586423
>  ---> e33ca0be37fa
> Removing intermediate container 7e2aba586423
> Step 3 : RUN apt-get update
>  ---> Running in d1bca7011e9b
> Err http://archive.ubuntu.com precise Release.gpg
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com precise-updates Release.gpg
>   Could not resolve 'archive.ubuntu.com'
> Reading package lists...
>  [91mW [0m [91m:  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/dists/precise/Release.gpg  Could not
> resolve 'archive.ubuntu.com'
>  [0m [91m
>  [0m [91mW [0m [91m:  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/dists/precise-updates/Release.gpg  Could
> not resolve 'archive.ubuntu.com'
>  [0m [91m
>  [0m [91mW [0m [91m:  [0m [91mSome index files failed to download. They
> have been ignored, or old ones used instead. [0m [91m
>  [0m ---> 0f84ac37772e
> Removing intermediate container d1bca7011e9b
> Step 4 : RUN echo 'root:password' | chpasswd
>  ---> Running in b934d18af5fb
>  ---> 89281333b966
> Removing intermediate container b934d18af5fb
> Step 5 : RUN apt-get install -y openssh-server
>  ---> Running in ce496eaefec0
> Reading package lists...
> Building dependency tree...
> Reading state information...
> The following extra packages will be installed:
>   ca-certificates krb5-locales libbsd0 libedit2 libgssapi-krb5-2 libidn11
>   libk5crypto3 libkeyutils1 libkrb5-3 libkrb5support0 libwrap0 libx11-6
>   libx11-data libxau6 libxcb1 libxdmcp6 libxext6 libxmuu1 openssh-client
>   openssl ssh-import-id tcpd wget xauth
> Suggested packages:
>   krb5-doc krb5-user ssh-askpass libpam-ssh keychain monkeysphere
>   openssh-blacklist openssh-blacklist-extra rssh molly-guard ufw
> The following NEW packages will be installed:
>   ca-certificates krb5-locales libbsd0 libedit2 libgssapi-krb5-2 libidn11
>   libk5crypto3 libkeyutils1 libkrb5-3 libkrb5support0 libwrap0 libx11-6
>   libx11-data libxau6 libxcb1 libxdmcp6 libxext6 libxmuu1 openssh-client
>   openssh-server openssl ssh-import-id tcpd wget xauth
> 0 upgraded, 25 newly installed, 0 to remove and 0 not upgraded.
> Need to get 4239 kB of archives.
> After this operation, 13.1 MB of additional disk space will be used.
> Err http://archive.ubuntu.com/ubuntu/ precise/main libbsd0 amd64 0.3.0-2
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise/main libedit2 amd64
> 2.11-20080614-3ubuntu2
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libkrb5support0
> amd64 1.10+dfsg~beta1-2ubuntu0.3
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libk5crypto3
> amd64 1.10+dfsg~beta1-2ubuntu0.3
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise/main libkeyutils1 amd64
> 1.5.2-2
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libkrb5-3 amd64
> 1.10+dfsg~beta1-2ubuntu0.3
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise-updates/main
> libgssapi-krb5-2 amd64 1.10+dfsg~beta1-2ubuntu0.3
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise/main libidn11 amd64 1.23-2
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise/main libxau6 amd64 1:1.0.6-4
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise/main libxdmcp6 amd64
> 1:1.1.0-4
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libxcb1 amd64
> 1.8.1-1ubuntu0.2
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libx11-data all
> 2:1.4.99.1-0ubuntu2.2
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libx11-6 amd64
> 2:1.4.99.1-0ubuntu2.2
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise-updates/main libxext6 amd64
> 2:1.3.0-3ubuntu0.1
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise/main libxmuu1 amd64
> 2:1.1.0-3
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise/main libwrap0 amd64 7.6.q-21
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise-updates/main openssl amd64
> 1.0.1-4ubuntu5.16
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise-updates/main ca-certificates
> all 20130906ubuntu0.12.04.1
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise-updates/main krb5-locales
> all 1.10+dfsg~beta1-2ubuntu0.3
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise-updates/main openssh-client
> amd64 1:5.9p1-5ubuntu1.4
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise/main wget amd64
> 1.13.4-2ubuntu1
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise/main xauth amd64 1:1.0.6-1
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise-updates/main openssh-server
> amd64 1:5.9p1-5ubuntu1.4
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise/main tcpd amd64 7.6.q-21
>   Could not resolve 'archive.ubuntu.com'
> Err http://archive.ubuntu.com/ubuntu/ precise/main ssh-import-id all
> 2.10-0ubuntu1
>   Could not resolve 'archive.ubuntu.com'
>  [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/libb/libbsd/libbsd0_0.3.0-2_amd6
> 4.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/libe/libedit/libedit2_2.11-20080
> 614-3ubuntu2_amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/k/krb5/libkrb5support0_1.10+dfsg
> ~beta1-2ubuntu0.3_amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/k/krb5/libk5crypto3_1.10+dfsg~be
> ta1-2ubuntu0.3_amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/k/keyutils/libkeyutils1_1.5.2-2_
> amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/k/krb5/libkrb5-3_1.10+dfsg~beta1
> -2ubuntu0.3_amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/k/krb5/libgssapi-krb5-2_1.10+dfs
> g~beta1-2ubuntu0.3_amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/libi/libidn/libidn11_1.23-2_amd6
> 4.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/libx/libxau/libxau6_1.0.6-4_amd6
> 4.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/libx/libxdmcp/libxdmcp6_1.1.0-4_
> amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/libx/libxcb/libxcb1_1.8.1-1ubunt
> u0.2_amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/libx/libx11/libx11-data_1.4.99.1
> -0ubuntu2.2_all.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/libx/libx11/libx11-6_1.4.99.1-0u
> buntu2.2_amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/libx/libxext/libxext6_1.3.0-3ubu
> ntu0.1_amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/libx/libxmu/libxmuu1_1.1.0-3_amd
> 64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/t/tcp-wrappers/libwrap0_7.6.q-21
> _amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/o/openssl/openssl_1.0.1-4ubuntu5
> .16_amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/c/ca-certificates/ca-certificate
> s_20130906ubuntu0.12.04.1_all.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/k/krb5/krb5-locales_1.10+dfsg~be
> ta1-2ubuntu0.3_all.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/o/openssh/openssh-client_5.9p1-5
> ubuntu1.4_amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/w/wget/wget_1.13.4-2ubuntu1_amd6
> 4.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/x/xauth/xauth_1.0.6-1_amd64.deb
>  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/o/openssh/openssh-server_5.9p1-5
> ubuntu1.4_amd64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/t/tcp-wrappers/tcpd_7.6.q-21_amd
> 64.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mFailed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/s/ssh-import-id/ssh-import-id_2.
> 10-0ubuntu1_all.deb  Could not resolve 'archive.ubuntu.com'
>  [0m [91mE [0m [91m:  [0m [91mUnable to fetch some archives, maybe run
> apt-get update or try with --fix-missing? [0m [91m
>  [0m
>
> STDERR:
>
> Sending build context to Docker daemon 3.072 kB
> Sending build context to Docker daemon
> 2014/07/03 16:52:11 The command [/bin/sh -c apt-get install -y
> openssh-server] returned a non-zero code: 100
>
>
> I'm happy to keep testing. But it looks like the default Dockerfile may
> need some sort of DNS?
>
> Bryan
>
>
>
>
> On 7/3/14, 12:47 PM, "Tidd, Bryan (MAN-Corporate)"
> <Bryan.Tidd@Manheim.com> wrote:
>
> >Giving it a try
> >
> >On 7/3/14, 12:32 PM, "Andrea Turli" <andrea.turli@cloudsoftcorp.com>
> >wrote:
> >
> >>Hi Brian,
> >>
> >>I've added a branch on clocker `fix/centos` [1] to deal with the wrong
> >>epel
> >>URL.
> >>It is not tested extensively but if you feel brave enough to give it a
> >>try,
> >>it would be great to have your feedback!
> >>
> >>As Andrew said, Ubuntu has been tested more, so maybe it could be a
> >>b-plan
> >>for you.
> >>
> >>Let us know,
> >>Andrea
> >>
> >>[1]:
> >>
> https://github.com/brooklyncentral/clocker/commit/785d900927c03519170a910
> >>3
> >>ce67bafe86323d37
> >>
> >>
> >>On 3 July 2014 18:27, Tidd, Bryan (MAN-Corporate)
> >><Bryan.Tidd@manheim.com>
> >>wrote:
> >>
> >>> Where in the code is it trying to download EPEL for CentOS/RHEL type
> >>>hosts
> >>> for Docker Cloud , Docker Host setup?
> >>> It has a bad URL for EPEL according to what I'm seeing.
> >>>
> >>> Bryan
> >>>
> >>> On 7/2/14, 8:17 PM, "Tidd, Bryan (MAN-Corporate)"
> >>><Bryan.Tidd@Manheim.com>
> >>> wrote:
> >>>
> >>> >Doesn't seem to be a valid URL for EPEL.
> >>> >
> >>> >Failed after 2.24s
> >>> >
> >>> >STDERR
> >>> >curl: (22) The requested URL returned error: 404
> >>> >error: skipping
> >>> >
> >>>
> >>>
> http://download.fedoraproject.org/pub/epel/6.3/x86_64/epel-release-6-8.n
> >>>o
> >>>a
> >>> >r
> >>> >ch.rpm - transfer failed
> >>> >
> >>> >
> >>> >STDOUT
> >>> >/usr/bin/wget
> >>> >Retrieving
> >>> >
> >>>
> >>>
> http://download.fedoraproject.org/pub/epel/6.3/x86_64/epel-release-6-8.n
> >>>o
> >>>a
> >>> >r
> >>> >ch.rpm
> >>> >Executed
> >>>
> >>>>/tmp/brooklyn-20140702-201142112-zL7c-installing_DockerHostImpl_id_D.sh
> >>>>,
> >>> >result 1: Execution failed, invalid result 1 for installing
> >>> >DockerHostImpl{id=D8fbgU32}
> >>> >
> >>> >java.lang.IllegalStateException: Execution failed, invalid result 1
> >>>for
> >>> >installing DockerHostImpl{id=D8fbgU32}
> >>> >       at
> >>>
> >>>>brooklyn.entity.basic.lifecycle.ScriptHelper.logWithDetailsAndThrow(Scr
> >>>>i
> >>>>pt
> >>> >H
> >>> >elper.java:340)
> >>> >       at
> >>>
> >>>>brooklyn.entity.basic.lifecycle.ScriptHelper.executeInternal(ScriptHelp
> >>>>e
> >>>>r.
> >>> >j
> >>> >ava:329)
> >>> >       at
> >>>
> >>>>brooklyn.entity.basic.lifecycle.ScriptHelper$8.call(ScriptHelper.java:2
> >>>>4
> >>>>1)
> >>> >       at
> >>>
> >>>>brooklyn.entity.basic.lifecycle.ScriptHelper$8.call(ScriptHelper.java:1
> >>>>)
> >>> >       at
> >>>
> >>>>brooklyn.util.task.DynamicSequentialTask$DstJob.call(DynamicSequentialT
> >>>>a
> >>>>sk
> >>> >.
> >>> >java:296)
> >>> >       at
> >>>
> >>>>brooklyn.util.task.BasicExecutionManager$3.call(BasicExecutionManager.j
> >>>>a
> >>>>va
> >>> >:
> >>> >353)
> >>> >       at java.util.concurrent.FutureTask.run(FutureTask.java:262)
> >>> >       at
> >>>
> >>>>java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.ja
> >>>>v
> >>>>a:
> >>> >1
> >>> >145)
> >>> >       at
> >>>
> >>>>java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.j
> >>>>a
> >>>>va
> >>> >:
> >>> >615)
> >>> >       at java.lang.Thread.run(Thread.java:744)
> >>> >
> >>> >
> >>> >
> >>> >On 7/2/14, 8:05 PM, "Tidd, Bryan (MAN-Corporate)"
> >>><Bryan.Tidd@Manheim.com
> >>> >
> >>> >wrote:
> >>> >
> >>> >>Alex,
> >>> >>
> >>> >>Just grabbed from GitHubÅ so should be fresh.
> >>> >>
> >>> >>Will deploy again and follow tasks.
> >>> >>
> >>> >>Bryan
> >>> >>
> >>> >>On 7/2/14, 8:01 PM, "Alex Heneveld" <alex.heneveld@cloudsoftcorp.com
> >
> >>> >>wrote:
> >>> >>
> >>> >>>
> >>> >>>Hi Bryan,
> >>> >>>
> >>> >>>If you click on tasks in the tasks view you should be able to
drill
> >>>down
> >>> >>>to the failing start task and it will show you the stdin / stdout
/
> >>> >>>stderr for the command which failed.
> >>> >>>
> >>> >>>Can you let us know what you find out there?
> >>> >>>
> >>> >>>Also can I check you have a recent version?  There was an occasional
> >>> >>>race between `mkdir` and a script which used it but I'm pretty
sure
> >>>that
> >>> >>>was fixed weeks ago.
> >>> >>>
> >>> >>>Best
> >>> >>>Alex
> >>> >>>
> >>> >>>
> >>> >>>On 03/07/2014 00:52, Tidd, Bryan (MAN-Corporate) wrote:
> >>> >>>> I keep getting this error when deploying Docker Cloud example
to
> >>>AWS :
> >>> >>>>
> >>> >>>> Failed after 3m 51s: Execution failed, invalid result 1
for
> >>>installing
> >>> >>>>DockerHostImpl{id=p3X4sIOE}
> >>> >>>>
> >>> >>>> brooklyn.util.exceptions.PropagatedRuntimeException: Error
> >>>invoking
> >>> >>>>start at DockerHostImpl{id=p3X4sIOE}: Execution failed,
invalid
> >>>result
> >>> >>>>1
> >>> >>>>for installing DockerHostImpl{id=p3X4sIOE}
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.management.internal.EffectorUtils.handleEffectorException(E
> >>>>>>>f
> >>>>>>>fe
> >>> >>>>c
> >>> >>>>t
> >>> >>>>orUtils.java:233)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.effector.EffectorTasks$EffectorBodyTaskFactory$2.han
> >>>>>>>d
> >>>>>>>le
> >>> >>>>E
> >>> >>>>x
> >>> >>>>ception(EffectorTasks.java:71)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.util.task.DynamicSequentialTask.handleException(DynamicSequ
> >>>>>>>e
> >>>>>>>nt
> >>> >>>>i
> >>> >>>>a
> >>> >>>>lTask.java:394)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.util.task.DynamicSequentialTask$DstJob.call(DynamicSequenti
> >>>>>>>a
> >>>>>>>lT
> >>> >>>>a
> >>> >>>>s
> >>> >>>>k.java:346)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.util.task.BasicExecutionManager$3.call(BasicExecutionManage
> >>>>>>>r
> >>>>>>>.j
> >>> >>>>a
> >>> >>>>v
> >>> >>>>a:353)
> >>> >>>> at java.util.concurrent.FutureTask.run(FutureTask.java:262)
> >>> >>>> at
> >>>
> >>>>>>>java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor
> >>>>>>>.
> >>>>>>>ja
> >>> >>>>v
> >>> >>>>a
> >>> >>>>:1145)
> >>> >>>> at
> >>>
> >>>>>>>java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecuto
> >>>>>>>r
> >>>>>>>.j
> >>> >>>>a
> >>> >>>>v
> >>> >>>>a:615)
> >>> >>>> at java.lang.Thread.run(Thread.java:744)
> >>> >>>> Caused by: brooklyn.util.exceptions.PropagatedRuntimeException:
> >>>Error
> >>> >>>>invoking start at DockerHostImpl{id=p3X4sIOE}: Execution
failed,
> >>> >>>>invalid
> >>> >>>>result 1 for installing DockerHostImpl{id=p3X4sIOE}
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.management.internal.EffectorUtils.handleEffectorException(E
> >>>>>>>f
> >>>>>>>fe
> >>> >>>>c
> >>> >>>>t
> >>> >>>>orUtils.java:233)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.management.internal.EffectorUtils.invokeMethodEffector(Effe
> >>>>>>>c
> >>>>>>>to
> >>> >>>>r
> >>> >>>>U
> >>> >>>>tils.java:225)
> >>> >>>> at
> >>>brooklyn.entity.basic.MethodEffector.call(MethodEffector.java:131)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.trait.Startable$StartEffectorBody.call(Startable.jav
> >>>>>>>a
> >>>>>>>:3
> >>> >>>>6
> >>> >>>>)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.trait.Startable$StartEffectorBody.call(Startable.jav
> >>>>>>>a
> >>>>>>>:1
> >>> >>>>)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.effector.EffectorTasks$EffectorBodyTaskFactory$1.cal
> >>>>>>>l
> >>>>>>>(E
> >>> >>>>f
> >>> >>>>f
> >>> >>>>ectorTasks.java:63)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.util.task.DynamicSequentialTask$DstJob.call(DynamicSequenti
> >>>>>>>a
> >>>>>>>lT
> >>> >>>>a
> >>> >>>>s
> >>> >>>>k.java:296)
> >>> >>>> ... 5 more
> >>> >>>> Caused by: java.util.concurrent.ExecutionException:
> >>> >>>>brooklyn.util.exceptions.PropagatedRuntimeException: Execution
> >>>failed,
> >>> >>>>invalid result 1 for installing DockerHostImpl{id=p3X4sIOE}
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.management.internal.AbstractManagementContext.invokeEffecto
> >>>>>>>r
> >>>>>>>Me
> >>> >>>>t
> >>> >>>>h
> >>> >>>>odSync(AbstractManagementContext.java:255)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.management.internal.EffectorUtils.invokeMethodEffector(Effe
> >>>>>>>c
> >>>>>>>to
> >>> >>>>r
> >>> >>>>U
> >>> >>>>tils.java:220)
> >>> >>>> ... 10 more
> >>> >>>> Caused by: brooklyn.util.exceptions.PropagatedRuntimeException:
> >>> >>>>Execution failed, invalid result 1 for installing
> >>> >>>>DockerHostImpl{id=p3X4sIOE}
> >>> >>>> at
> >>>brooklyn.util.exceptions.Exceptions.propagate(Exceptions.java:71)
> >>> >>>> at brooklyn.util.task.BasicTask.getUnchecked(BasicTask.java:315)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.util.task.DynamicSequentialTask.drain(DynamicSequentialTask
> >>>>>>>.
> >>>>>>>ja
> >>> >>>>v
> >>> >>>>a
> >>> >>>>:424)
> >>> >>>> at brooklyn.util.task.DynamicTasks.drain(DynamicTasks.java:281)
> >>> >>>> at
> >>>brooklyn.util.task.DynamicTasks.waitForLast(DynamicTasks.java:270)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.software.MachineLifecycleEffectorTasks.start(Machine
> >>>>>>>L
> >>>>>>>if
> >>> >>>>e
> >>> >>>>c
> >>> >>>>ycleEffectorTasks.java:181)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.basic.SoftwareProcessImpl.doStart(SoftwareProcessImp
> >>>>>>>l
> >>>>>>>.j
> >>> >>>>a
> >>> >>>>v
> >>> >>>>a:436)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.basic.SoftwareProcessImpl.start(SoftwareProcessImpl.
> >>>>>>>j
> >>>>>>>av
> >>> >>>>a
> >>> >>>>:
> >>> >>>>390)
> >>> >>>> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native
Method)
> >>> >>>> at
> >>>
> >>>>>>>sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl
> >>>>>>>.
> >>>>>>>ja
> >>> >>>>v
> >>> >>>>a
> >>> >>>>:57)
> >>> >>>> at
> >>>
> >>>>>>>sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAcce
> >>>>>>>s
> >>>>>>>so
> >>> >>>>r
> >>> >>>>I
> >>> >>>>mpl.java:43)
> >>> >>>> at java.lang.reflect.Method.invoke(Method.java:606)
> >>> >>>> at
> >>>
> >>>>>>>org.codehaus.groovy.reflection.CachedMethod.invoke(CachedMethod.java
> >>>>>>>:
> >>>>>>>90
> >>> >>>>)
> >>> >>>> at groovy.lang.MetaMethod.doMethodInvoke(MetaMethod.java:233)
> >>> >>>> at groovy.lang.MetaClassImpl.invokeMethod(MetaClassImpl.java:1047)
> >>> >>>> at groovy.lang.MetaClassImpl.invokeMethod(MetaClassImpl.java:877)
> >>> >>>> at
> >>>
> >>>>>>>groovy.lang.DelegatingMetaClass.invokeMethod(DelegatingMetaClass.jav
> >>>>>>>a
> >>>>>>>:1
> >>> >>>>4
> >>> >>>>9
> >>> >>>>)
> >>> >>>> at groovy.lang.MetaObjectProtocol$invokeMethod.call(Unknown
> >>>Source)
> >>> >>>> at
> >>>
> >>>>>>>org.codehaus.groovy.runtime.callsite.CallSiteArray.defaultCall(CallS
> >>>>>>>i
> >>>>>>>te
> >>> >>>>A
> >>> >>>>r
> >>> >>>>ray.java:42)
> >>> >>>> at groovy.lang.MetaObjectProtocol$invokeMethod.call(Unknown
> >>>Source)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.util.GroovyJavaMethods.invokeMethodOnMetaClass(GroovyJavaMe
> >>>>>>>t
> >>>>>>>ho
> >>> >>>>d
> >>> >>>>s
> >>> >>>>.groovy:125)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.management.internal.AbstractManagementContext.invokeEffecto
> >>>>>>>r
> >>>>>>>Me
> >>> >>>>t
> >>> >>>>h
> >>> >>>>odLocal(AbstractManagementContext.java:228)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.management.internal.AbstractManagementContext.invokeEffecto
> >>>>>>>r
> >>>>>>>Me
> >>> >>>>t
> >>> >>>>h
> >>> >>>>odSync(AbstractManagementContext.java:251)
> >>> >>>> ... 11 more
> >>> >>>> Caused by: java.util.concurrent.ExecutionException:
> >>> >>>>brooklyn.util.exceptions.PropagatedRuntimeException: Execution
> >>>failed,
> >>> >>>>invalid result 1 for installing DockerHostImpl{id=p3X4sIOE}
> >>> >>>> at java.util.concurrent.FutureTask.report(FutureTask.java:122)
> >>> >>>> at java.util.concurrent.FutureTask.get(FutureTask.java:188)
> >>> >>>> at
> >>>
> >>>>>>>com.google.common.util.concurrent.ForwardingFuture.get(ForwardingFut
> >>>>>>>u
> >>>>>>>re
> >>> >>>>.
> >>> >>>>j
> >>> >>>>ava:63)
> >>> >>>> at brooklyn.util.task.BasicTask.get(BasicTask.java:304)
> >>> >>>> at brooklyn.util.task.BasicTask.getUnchecked(BasicTask.java:313)
> >>> >>>> ... 32 more
> >>> >>>> Caused by: brooklyn.util.exceptions.PropagatedRuntimeException:
> >>> >>>>Execution failed, invalid result 1 for installing
> >>> >>>>DockerHostImpl{id=p3X4sIOE}
> >>> >>>> at
> >>>brooklyn.util.exceptions.Exceptions.propagate(Exceptions.java:71)
> >>> >>>> at brooklyn.util.task.BasicTask.getUnchecked(BasicTask.java:315)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.util.task.DynamicSequentialTask.drain(DynamicSequentialTask
> >>>>>>>.
> >>>>>>>ja
> >>> >>>>v
> >>> >>>>a
> >>> >>>>:424)
> >>> >>>> at brooklyn.util.task.DynamicTasks.drain(DynamicTasks.java:281)
> >>> >>>> at
> >>>brooklyn.util.task.DynamicTasks.waitForLast(DynamicTasks.java:270)
> >>> >>>> at
> >>>
> >>>>>>>
> brooklyn.entity.basic.SoftwareProcessDriverLifecycleEffectorTasks.st
> >>>>>>>a
> >>>>>>>rt
> >>> >>>>P
> >>> >>>>r
> >>>
> >>>>>>>ocessesAtMachine(SoftwareProcessDriverLifecycleEffectorTasks.java:10
> >>>>>>>0
> >>>>>>>)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.software.MachineLifecycleEffectorTasks$4.run(Machine
> >>>>>>>L
> >>>>>>>if
> >>> >>>>e
> >>> >>>>c
> >>> >>>>ycleEffectorTasks.java:209)
> >>> >>>> at
> >>>
> >>>>>>>java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:4
> >>>>>>>7
> >>>>>>>1)
> >>> >>>> ... 6 more
> >>> >>>> Caused by: java.util.concurrent.ExecutionException:
> >>> >>>>brooklyn.util.exceptions.PropagatedRuntimeException: Execution
> >>>failed,
> >>> >>>>invalid result 1 for installing DockerHostImpl{id=p3X4sIOE}
> >>> >>>> at java.util.concurrent.FutureTask.report(FutureTask.java:122)
> >>> >>>> at java.util.concurrent.FutureTask.get(FutureTask.java:188)
> >>> >>>> at
> >>>
> >>>>>>>com.google.common.util.concurrent.ForwardingFuture.get(ForwardingFut
> >>>>>>>u
> >>>>>>>re
> >>> >>>>.
> >>> >>>>j
> >>> >>>>ava:63)
> >>> >>>> at brooklyn.util.task.BasicTask.get(BasicTask.java:304)
> >>> >>>> at brooklyn.util.task.BasicTask.getUnchecked(BasicTask.java:313)
> >>> >>>> ... 12 more
> >>> >>>> Caused by: brooklyn.util.exceptions.PropagatedRuntimeException:
> >>> >>>>Execution failed, invalid result 1 for installing
> >>> >>>>DockerHostImpl{id=p3X4sIOE}
> >>> >>>> at
> >>>brooklyn.util.exceptions.Exceptions.propagate(Exceptions.java:71)
> >>> >>>> at brooklyn.util.task.BasicTask.getUnchecked(BasicTask.java:315)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.basic.lifecycle.ScriptHelper.execute(ScriptHelper.ja
> >>>>>>>v
> >>>>>>>a:
> >>> >>>>2
> >>> >>>>9
> >>> >>>>1)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.container.docker.DockerHostSshDriver.install(DockerH
> >>>>>>>o
> >>>>>>>st
> >>> >>>>S
> >>> >>>>s
> >>> >>>>hDriver.java:168)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.basic.AbstractSoftwareProcessDriver$1.run(AbstractSo
> >>>>>>>f
> >>>>>>>tw
> >>> >>>>a
> >>> >>>>r
> >>> >>>>eProcessDriver.java:64)
> >>> >>>> ... 7 more
> >>> >>>> Caused by: java.util.concurrent.ExecutionException:
> >>> >>>>java.lang.IllegalStateException: Execution failed, invalid
result 1
> >>>for
> >>> >>>>installing DockerHostImpl{id=p3X4sIOE}
> >>> >>>> at java.util.concurrent.FutureTask.report(FutureTask.java:122)
> >>> >>>> at java.util.concurrent.FutureTask.get(FutureTask.java:188)
> >>> >>>> at
> >>>
> >>>>>>>com.google.common.util.concurrent.ForwardingFuture.get(ForwardingFut
> >>>>>>>u
> >>>>>>>re
> >>> >>>>.
> >>> >>>>j
> >>> >>>>ava:63)
> >>> >>>> at brooklyn.util.task.BasicTask.get(BasicTask.java:304)
> >>> >>>> at brooklyn.util.task.BasicTask.getUnchecked(BasicTask.java:313)
> >>> >>>> ... 10 more
> >>> >>>> Caused by: java.lang.IllegalStateException: Execution failed,
> >>>invalid
> >>> >>>>result 1 for installing DockerHostImpl{id=p3X4sIOE}
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.basic.lifecycle.ScriptHelper.logWithDetailsAndThrow(
> >>>>>>>S
> >>>>>>>cr
> >>> >>>>i
> >>> >>>>p
> >>> >>>>tHelper.java:340)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.basic.lifecycle.ScriptHelper.executeInternal(ScriptH
> >>>>>>>e
> >>>>>>>lp
> >>> >>>>e
> >>> >>>>r
> >>> >>>>.java:329)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.basic.lifecycle.ScriptHelper$8.call(ScriptHelper.jav
> >>>>>>>a
> >>>>>>>:2
> >>> >>>>4
> >>> >>>>1
> >>> >>>>)
> >>> >>>> at
> >>>
> >>>>>>>brooklyn.entity.basic.lifecycle.ScriptHelper$8.call(ScriptHelper.jav
> >>>>>>>a
> >>>>>>>:1
> >>> >>>>)
> >>> >>>> ... 6 more
> >>> >>>>
> >>> >>>> The instances are created, as are the keys and security
groupsÅ but
> >>>it
> >>> >>>>fails
> >>> >>>> Any thoughts?
> >>> >>>> Bryan
> >>> >>>>
> >>> >>>
> >>> >>
> >>> >
> >>>
> >>>
> >
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message